function [testL,distaTestTrain]=PredictMRG(train, trainL, planes, test)
dimTest=size(test,1);
Classi=size(planes,2);
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% figure(999)
% clf
% gscatter(train(:,1),train(:,2),trainL);
% hold on
% syms x y
% f1=planes(1,1)*x+planes(2,1)*y-planes(3,1);
% f2=planes(1,2)*x+planes(2,2)*y-planes(3,2);
% f3=planes(1,3)*x+planes(2,3)*y-planes(3,3);
% ezplot(f1);
% ezplot(f2);
% ezplot(f3);
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

for i=1:size(train,1)
    projTrain(i,:)=ProjectPoint(train(i,:), planes(:,trainL(i)));
end
for i=1:dimTest
    %calcola proiezioni e distanze dai piani
    appo=projTrain;
    for k=1:size(projTrain,2);
        appo(:,k)=appo(:,k)-test(i,k);
    end
    appo=appo.^2;
    distanza=sum(appo,2);
    for j=1:Classi
        % [projTest(i,:), dTest(i)]=ProjectPoint(test(i,:), planes(:,j));
        if size(distanza(trainL==j),1)>0
            distaTestTrain(i,j)=min(distanza(trainL==j));
        else
            distaTestTrain(i,j)=realMAX;
        end
    end
    [bogus, testL(i)]=min(distaTestTrain(i,:));
end
testL=testL';